%define upstream_name    HTML-Widgets-NavMenu-ToJSON
%define upstream_version 0.0.8

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    YAML-based persistence
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTML::Widgets::NavMenu::Object)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(JSON::MaybeXS) >= 1.2.2
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(YAML::XS)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a sub-class of the HTML::Widgets::NavMenu::ToJSON::Data_Persistence
manpage for providing coarse-grained persistence using a serialised YAML
store as storage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.0.8-2.mga9
+ Revision: 1813482
- Mageia 9 Mass Rebuild

* Fri Oct 23 2020 tv <tv> 0.0.8-1.mga8
+ Revision: 1638730
- update to 0.0.8

* Wed Feb 12 2020 umeabot <umeabot> 0.0.7-5.mga8
+ Revision: 1494963
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.0.7-4.mga7
+ Revision: 1268512
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.0.7-3.mga6
+ Revision: 1028422
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.0.7-2.mga6
+ Revision: 966260
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 0.0.7-1.mga6
+ Revision: 843205
- update to 0.0.7

* Wed Oct 15 2014 umeabot <umeabot> 0.0.2-3.mga5
+ Revision: 747052
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.0.2-1.mga5
+ Revision: 581187
- update to v0.0.2

* Sat Oct 19 2013 umeabot <umeabot> 0.0.1-2.mga4
+ Revision: 528289
- Mageia 4 Mass Rebuild

* Mon Jun 17 2013 shlomif <shlomif> 0.0.1-1.mga4
+ Revision: 444087
- imported package perl-HTML-Widgets-NavMenu-ToJSON


* Mon Jun 17 2013 cpan2dist v0.0.1-1mga
- initial mageia release, generated with cpan2dist
